#!/bin/bash
# --------------------------------------
# Запуск SAST анализа
# --------------------------------------

echo "Запуск bearer"
./bin/bearer scan --format sarif --output sast_results/bearer.sarif .

echo "Запуск golangci-lint"
./bin/golangci-lint run --output.sarif.path sast_results/golangci-lint.sarif

echo "Запуск gosec"
./bin/gosec -fmt sarif -out sast_results/gosec.sarif ./...

echo "Анализ завершён, результаты в sast_results"
